Subject: [dhcwg] re: Can IA_PD and IA_NA be transfered in one DHCPv6 session?

From: "CTO YAN Renxiang" <[email-masked]>
Date: Mon, 9 Jan 2006 14:11:40 +0800

In your previous mail you wrote:

> 
>    Can IA_PD and IA_NA options be transfered in one DHCPv6 session?
> 
> => I can't see any reasons this may not be supported.
> 
>    It seems some Prefix delegation do not support such feature. 
> 
> => you mean some implementations? IMHO there are some limited
> (i.e., very lazy :-) implementations which don't support multiple IAs
> but this is far from to be the rule.

DHCP-0.10 (from sourceforge.net), which is based on KAME's DHCP implementation,
support only IA_PD or IA_NA. 

I try to allocate an IPv6 address for CPE, and an IPv6 prefix for the home network during
CPE's interaction with DHCP server, but I failed when use DHCP-0.10 as an
experimental test. 

I will check to see if other implementations have similar problem.

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg